Subject: Re: bug#60468: 29.0.60; next-history-element places cursosr inconsistently

From: Juri Linkov <[email-masked]>
Date: Thu, 05 Jan 2023 19:42:35 +0200

>         (setq-local minibuffer-temporary-goal-position
>                     (cond ((<= (point) prompt-end) prompt-end)
>                           ((eobp) nil)
>                           (t (point))))))
>
>   The unexpected behavior I described earlier is caused by the
>   first clause in the cond above which treats the cursor at the
>   end of the prompt with no input to be inside the prompt while
>   to me it seems better to treat the cursor as being at end of
>   buffer.
>
>   From my own habit, it seem better leave the cursor at the end
>   of the input unconditionally. Does it makes sense to provide
>   that at least an option?

If Eli will agree to an option, then after changing in goto-history-element
from (<= (point) prompt-end) to (< (point) prompt-end), please also change
in next-line-or-history-element from (> (point) prompt-end) to
(>= (point) prompt-end) and in previous-line-or-history-element
from (> (point) prompt-end) to (>= (point) prompt-end)
depending on that option.